MAX Remote Systems Help

July 2021, 370640V-01

Note Install the LabVIEW Real-Time Module and MAX on the host computer before you configure your remote system or device. Refer to Chapter 2, Installation, of the LabVIEW Real-Time Module Release and Upgrade Notes for more information about installing the LabVIEW Real-Time Module.

To comment on NI documentation, refer to the NI website.

© 2003–2021 National Instruments Corporation. All rights reserved.


Connecting to LabVIEW Real-Time Targets

Complete the following steps to locate and connect to a LabVIEW Real-Time target.

  1. Connect to a Host Computer
    Your target must be connected to the same subnet that contains the host computer you use to configure the remote system. For information about how to connect your target, refer to Making Network and Non-Network Connections.
  2. Detect the Remote System
    In order to configure your target, you must detect it within MAX. For information about how to detect the remote system, refer to Using MAX to Detect Remote Systems.


Creating a Remote System

You may need to create a remote system if you want to access a system that is not on your local subnet or if you have a firewall that prevents MAX from discovering NI hardware.

Complete the following steps to create a new remote system:

  1. Right-click Remote Systems and select Create New from the menu that appears.
  2. In the Create New dialog box, select Remote Device and click Next.
  3. Enter the IP address of the system in the IP Address textbox and click Finish.

The system appears in MAX under Remote Systems.


Using MAX to Detect Remote Systems

Expand Remote Systems in the Measurement & Automation (MAX) configuration tree. Previously detected remote systems appear immediately beneath Remote Systems in the configuration tree. MAX continues to search for newly attached remote systems on the local subnet. Detected systems will be added to the list after a short delay. All detected systems appear beneath Remote Systems in the configuration tree. MAX searches for new remote systems every time you launch MAX and expand Remote Systems. You can also detect newly connected remote systems by selecting View»Refresh (F5) to scan for local and remote devices.

Note The IP address of your remote system appears as the default remote system name in the configuration tree. If more than one system appears in Remote Systems, select the IP address of the system you want to configure. Use the System Settings tab of the configuration view to assign a host name, if available, to your remote system. MAX then uses the name to identify the device in the configuration tree. (This host name is not necessarily a DNS host name. For more information about host names, refer to Configuring System Settings.) The system state may be Unconfigured if your target does not support automatic IP assignment and if you have not set the IP address for the target.

For more information about setting an IP address, refer to Configuring Network Settings.


LabVIEW Real-Time Target Configuration

Complete the following steps to configure your remote system for use with the LabVIEW Real-Time Module. For a more complete explanation of these steps, refer to the LabVIEW Real-Time Target Configuration Tutorial.

  1. Boot into LabVIEW Real-Time
    Before you begin configuration, make sure your remote system is booted into LabVIEW Real-Time. For information about how to boot into LabVIEW Real-Time, refer to Booting into the LabVIEW Real-Time Module.
  2. Configure Network Settings
    Your remote system must have an IP address assigned to it before you can do further configuration. If your remote system is not already configured to automatically obtain an IP address, use the Network Settings tab to either manually specify an IP address or obtain one automatically. For more information on network settings, refer to Configuring Network Settings.
    Note For information on how to connect to a host computer, refer to Connecting to LabVIEW Real-Time Targets.

  3. Install Software
    Install any relevant software that does not exist on your remote system or update outdated software using the LabVIEW Real-Time Software Wizard. To launch the LabVIEW Real-Time Software Wizard, expand the target, highlight Software under your target, and click the Add/Remove Software icon in the toolbar. For more information on how to install software onto a remote system, refer to Using the LabVIEW Real-Time Software Wizard.
  4. Configure I/O
    You must configure any NI I/O devices before you can target them from a LabVIEW Real-Time application. For information on how to correctly configure I/O devices, refer to Device Configuration.
  5. Configure System Settings
    For information about how to configure your target's name and locale and add comments, refer to Configuring System Settings.

  6. Configure Time Settings
    For information about how to configure your target's time zone and daylight saving time setting, refer to Configuring Time Settings. If your device supports time synchronization, you can also configure time synchronization settings on the Time Settings tab.
  7. Transfer User Files
    For information about how to transfer files to or from your remote system, refer to Transferring User Files.

    (NI Linux Real-Time) For information about transferring files using WebDAV, visit ni.com/info and enter the Info Code RTFileTransfer.

When you complete these steps, your remote system is ready to be targeted from LabVIEW Real-Time.


Booting Into the LabVIEW Real-Time Module

How to boot into LabVIEW Real-Time Module depends on the mode and the type of system you have.

Boot Modes

You can boot into LabVIEW Real-Time using the modes described in the following table.

Boot Mode | Description
Normal Boot Mode | Booting into this mode makes the RT target fully operational. This is the default boot mode.
IP Reset | Booting into this mode clears all the IP configuration information, as well as the system configuration password. You can use IP Reset to recover from misconfigured IP settings or a forgotten password.
Startup Application Disabled | Booting into this mode prevents a LabVIEW startup application from running on the RT target, even if one is present. You can use Startup Application Disabled mode to recover from a startup application which takes over the CPU and prevents connections to the target.
Safe Mode | Booting into this mode bypasses the normal boot programs on the RT target. Instead, it boots only essential services required for updating the RT target's configuration and installing software. Safe mode is useful if the software on the RT target becomes corrupted, as it bypasses the corrupted software. You can then use MAX to reinstall the software.
Uninstall Mode | Booting into this mode removes the LabVIEW Real-Time-related software from the RT target. You can use Uninstall Mode if the software on the RT target becomes corrupted, as this mode removes the corrupted software. You can use MAX to reinstall your software. This mode is valid only for RT targets with floppy drives.

Types of Systems

Booting the RT target into the LabVIEW Real-Time Module depends on the type of RT target you have.

Common ways to boot into LabVIEW Real-Time Module include using a floppy disk, a USB drive, DIP switches, and setting the Safe Mode boot option in the BIOS. Refer to your hardware documentation for more detailed information on how to boot your system into LabVIEW Real-Time Module. Refer to the Desktop PC Utility USB Drive topic for information on creating USB drives, if appropriate for your system.


Monitoring and Configuring a Remote Device from a Web Browser

You can now use NI Web-Based Configuration & Monitoring to monitor and configure remote devices. You must use the LabVIEW Real-Time Software Wizard in NI Measurement & Automation Explorer (MAX) to determine whether NI Web-Based Configuration & Monitoring is installed on an RT target and to install the software if necessary.

Accessing the Configuration Page

Use one of the following methods to access NI Web-Based Configuration & Monitoring for a remote device.

  • In the Project Explorer window in LabVIEW, right-click the device and select Utilities»View in Browser from the shortcut menu.
  • In a Web browser, enter the URL http://[remote device IP address] where [remote device IP address] is the actual IP address of the remote device.

Performing Common Tasks on a Remote Device

The following list describes the tasks you can perform using NI Web-Based Configuration & Monitoring.

  • View system settings
  • View network settings
  • View SystemLink settings
  • View and configure security settings for users, groups, and permissions
  • View and configure web server settings
  • View and configure LabVIEW FPGA compile farm settings and jobs


System States

Connected systems can be in any one of number of states, as defined in the following table:

State | Description
Unconfigured | The IP address is set at 0.0.0.0. You need to obtain a valid IP address.
Disconnected | MAX cannot find the target on the network.
Disconnected - Rebooting | The target is rebooting.
Initializing | The target is currently starting up.
Inconsistent IP Settings | The target is connected but has an IP address that may not allow full configuration. You need to correct its IP settings.
Connected - Running | The target has booted and is functioning normally.
Connected - Install Mode | The target is connected in Install mode. Install mode means the target is in safe mode where you can change any software on the target using MAX.
Connected - Safe Mode (No Software Installed) | The target is connected in safe mode, but it has no software installed on it. You will see No software installed on the target's monitor if the system boots but cannot find the necessary LabVIEW Real-Time operating system files on the target.
Connected - Safe Mode (User Directed) | You will see Safe Mode (User Directed) when the target has been designated to enter safe mode by flipping a safe mode switch on a target, or if you boot into safe mode using a Safe Mode floppy disk or Safe Mode on the Desktop PC Utility USB Drive.
Connected - Safe Mode (Software Update Required) | The target does not support the version of software installed on the system. This mode requires that you install a newer version of LabVIEW Real-Time and/or components. The target's monitor will indicate the oldest compatible version of LabVIEW Real-Time supported by that hardware target.
Connected - Safe Mode (Software Error) | This mode occurs after the target's controller rebooted three times unexpectedly because of a crashing startup application or driver or some other problem that causes the target to have an unsafe reboot.
Connected - Safe Mode (Improper Installation) | This mode occurs after the target's controller attempted to boot and caused specific errors when attempting to load core operating system files. This mode is similar to No Software Installed, however the files are present and are causing fatal errors when attempted to load. This message can also be displayed if required tokens are not present in the ni-rt.ini file that refer to startup information and/or core operating system files.
Note Note Booting into safe mode bypasses the normal boot programs on the RT target. Safe mode boots only essential services required for updating the RT target's configuration and installing software. Safe mode is useful if the software on the RT target becomes corrupted, as it bypasses the corrupted software. You can then use MAX to reinstall the software. For more information on booting into safe mode, refer to Booting Into the LabVIEW Real-Time Module.


Transferring User Files

Complete the following steps to transfer files to or from your remote system.

  1. In Remote Systems, right-click your target.
  2. Select File Transfer to launch the File Transfer Utility.
  3. Enter your administrator name and password in Username and Password, or check Anonymous Login if your system is not password-protected.
  4. Click OK.
Note Note This feature may not be available on some targets.

(NI Linux Real-Time) For additional information about transferring files using WebDAV, visit ni.com/info and enter the Info Code RTFileTransfer.


Adding or Removing Software on Legacy Systems

You can install the LabVIEW Real-Time Module and other driver software on the remote target after you have assigned it an IP address.

If your RT target has LabVIEW Real-Time preinstalled, you may still need to download additional driver software. In this case, the state of your RT target should be Connected-Running on the System Settings tab.

If your RT target has a Windows operating system installed, you must install LabVIEW Real-Time before installing any additional driver software. You can install or upgrade LabVIEW Real-Time or other driver software using the LabVIEW Real-Time Software Wizard.

Complete the following steps to launch the LabVIEW Real-Time Software Wizard:

  1. Expand Remote Systems in the configuration tree and then expand your RT target.
  2. Select the Software category. Click the Add/Remove Software icon on the toolbar to launch the LabVIEW Real-Time Software Wizard. If your RT target does not have a Software category, it does not support the LabVIEW Real-Time software.
  3. Use the LabVIEW Real-Time Software Wizard to add, remove, or update the software on your remote target.


Formatting Your Remote Target

You can format some target hard drives from within MAX. If your target supports formatting from MAX, you can select Format Disk from the right-click context menu. If this option does not appear, your target does not support this feature and you must use a Desktop PC Utility USB Drive.

Complete the following steps to reformat your hard drive:

  1. Reboot your target into user-directed safe mode. Refer to your target documentation for more information on rebooting into safe mode.
  2. Right-click on your target and select Format Disk.
  3. If your target supports more than one file system, select the file system you want to use. Reliance is the preferred file system for real-time targets, if available for selection, because it prevents data loss due to file system corruption. (RT Linux) UBIFS is the only file system available on RT Linux targets.
    Note Note If you format your target using the Reliance file system, you will no longer be able to dual-boot into either Windows or LabVIEW Real-Time from the same partition on your hard drive. Instead, you will have to create a partition for each operating system.
  4. Confirm that you want to format your target.
    Caution Caution Formatting your target drive will destroy all data on the LabVIEW Real-Time partition of the drive. For dual-boot controllers, the non-LabVIEW Real-Time partition will not be formatted.

Your target will reboot when formatting is complete.

Note Note If you have trouble formatting your target, visit ni.com/info and enter targetdiskformat.


Installing a Custom Software Selection

Complete the following steps to download custom software features using the LabVIEW Real-Time Software Wizard:

  1. Determine what you want to do, as follows:
    • View software already installed to your target.
      Note Software installed by MAX 3.0.x or earlier will not appear but will continue to work. You must reinstall your software in order for it to appear in this view.
    • View software available to install to your target.
    • Click Update BIOS to update the real-time BIOS firmware on your target if there is a newer version available. Updating the real-time BIOS firmware removes all existing installed software.
    • Change the software on your remote target. Click its icon and select the appropriate option. The icon changes and becomes more descriptive when the software in the list is selected. You can select from the following options:

      Install—Selected software will be installed to your target.

      Leave installed—Selected software will remain installed on your target.

      Newer available—Selected software will remain installed on your target, but a newer version is available for installation.

      Reinstall—Selected software will be reinstalled to your target. Choose this option also if you want to change the installed version.

      Uninstall—Selected software will be uninstalled from your target.

      Leave uninstalled—Selected software will remain uninstalled on your target.

      All Software—Selects all software for install or uninstall.

      When you select an item, the right side presents a more detailed view of that particular component, including:

      • A description.
      • Version installed on the remote target.
      • Versions available on the local host. By default the latest version is selected for install. If you change the version in the drop-down list, you can install or reinstall an older version of the software. If the software is a child component, then you might not see a version in the tree or a version drop-down.
      • An icon describing the state of the selected item and a message below the icon describing that state, including installed, not installed, selected for (re)install, selected for uninstall, or installed but a newer version exists on host.
      Notes
      • If the action you selected cannot be performed because of dependencies, a Show Dependent Features window appears to explain the dependencies and provide options for resolving the conflict.
      • On some targets, such as the PXI-814X Series Controller, the LabVIEW Real-Time component must be installed to the target by itself prior to installing other driver software.
  2. Click Next to move to the confirmation page after you make the appropriate selections. This page lists all the changes that are to be made to the remote target.
  3. Click Next to continue, if you are satisfied with these changes. The target first boots into install mode, if necessary, and then begins installation. During the installation, a progress bar tracks the removal of old files and then the installation of new files, with the current file listed above the progress bar. When installation completes, the wizard reboots your remote target.
  4. Click Finish to close the wizard.

The software you specified is installed on the target and is available for use.


Installing a Startup Application

You can generate a component definition file (CDF) for applications you build using the LabVIEW Real-Time module. A component definition file defines the software dependencies for your startup application. To generate a component definition file, navigate to the Component Definition page of the Real-Time Application Properties dialog box and place a checkmark in the Create a component definition file (.cdf) and specify dependencies checkbox. Refer to the LabVIEW Help for more information about creating a component definition file for your application.

Note Note You also can deploy a startup application to a remote target programmatically using the Install Startup VI in LabVIEW 2011 or later.

Complete the following steps to install a startup application to the target using the LabVIEW Real-Time Software Wizard:

  1. Expand Remote Systems in the configuration tree and then expand your RT target.
  2. Select Software. Click the Add/Remove Software icon on the toolbar to launch the LabVIEW Real-Time Software Wizard. The LabVIEW Real-Time Software Wizard displays the Startup Application page. You must build a CDF to view this page. Refer to the Deploying from outside of the LabVIEW Development Environment section of the Building and Deploying a Stand-Alone Real-Time Application topic in the LabVIEW Help.
  3. Select Install the following startup application and select the startup application you want to install from the application list. MAX populates this list with all startup applications available on the host.

    If the startup application you want to install does not appear in the list of applications, ensure you created a CDF for the application, and that you created the application for the targeted system.
  4. Select the version you want to install from the Available version(s) on the host drop-down list.
  5. Click Next.
  6. Verify your selection on the confirmation page. This page lists all the changes that are to be made to the remote target.
    Note Note If you previously installed a startup application to the target, MAX automatically uninstalls the application.
  7. Click Next to begin installation. During installation, a progress bar tracks the removal of old files and the installation of new files, with the current file listed above the progress bar. When installation completes, the wizard reboots your remote target.
  8. Click Finish to close the wizard.

You can expand Software in the configuration tree to view a list of the software installed on the remote target. The [image] icon denotes the startup application on the target.


Installing a Recommended Software Set

Complete the following steps to download a recommended software set using the LabVIEW Real-Time Software Wizard:

  1. Determine what you want to do, as follows:
    • Select the software you want to install. When you select a software set, the right side presents a list of the software included in the software set predefined and recommended by NI.

      If the recommended software set is grayed out, the software set cannot be installed for one of the following reasons:
      • Software versions required by the recommended software set are not present on the host computer. You can select Custom software installation to install other versions of the software.
      • Software is missing from the host computer. You can select Custom software installation to install other software or exit MAX and reinstall your driver software.
    • If available, select Custom software installation to manually select the features you want to install on your target.
      Note Note If you select Custom software installation and click Next, the Features page appears. If you select to install components from this page, your remote target will not have a recommended software set installed. For more information, refer to Installing a Custom Software Selection.
    • Select Uninstall all software to remove all software from your remote target.
  2. Click Next.
  3. If your selected software set contains add-ons, select the add-ons you want to install and click Next.
  4. Verify your selection on the confirmation page. This page lists all the changes that are to be made to the remote target.
  5. Click Next to continue if you are satisfied with these changes. The target first boots into install mode, if necessary, and then begins installation. During the installation, a progress bar tracks the removal of old files and then the installation of new files, with the current file listed above the progress bar. When installation completes, the wizard reboots your remote target.
  6. Click Finish to close the wizard.

The software you specified is installed on the target and is available for use.

Updating the BIOS Firmware

Click Update BIOS to update the real-time BIOS firmware on your remote target if there is a newer version available. Updating the real-time BIOS firmware removes all existing installed software.


Adding or Removing Software on Linux RT Targets

Install the LabVIEW Real-Time Module and other driver software on the remote target.

  1. In the configuration tree, expand Remote Systems and then expand your RT target.
  2. Select Software.
  3. On the toolbar, click Add/Remove Software. The Real-Time Software Wizard launches.
  4. Use the LabVIEW Real-Time Software Wizard to complete the following tasks:
    1. Apply a base system image to your target.
    2. Select a programming environment to use on your target.
    3. Install software packages on your target.
Note Note If your RT target has LabVIEW Real-Time preinstalled, you may need to download additional driver software. In this case, the state of your RT target should be Connected-Running on the System Settings tab.


Applying Base System Images

Applying Base System Images to the RT Target

In the Real-Time Software Wizard, select a base system image to apply to the target. A base system image allows you to manage NI software through feeds located on ni.com.

Note Note If you are using older software and want to proceed with a legacy installation, refer to Adding or Removing Software on Legacy Systems.
  1. In the Real-Time Software Wizard, select a base system image to apply to the target and click OK.
  2. (Optional) If the software wizard prompts you to format the target to apply the base system image, click Format.
Note Note Formatting erases all installed software and user data from the target but retains the network settings.

After you select a base system image, select a programming environment to use on the target.


Selecting a Programming Environment

Choose the programming environment you want to use on the target. The programming environment you choose depends on where your application was developed and which run-time version you want to use on the target.

Note Note The programming environment and run-time version you choose determine which recommended packages MAX pre-selects for installation.
  1. In the Real-Time Software Wizard, select the programming environment you want to use on the target.
  2. (Optional) If you selected LabVIEW, select a run-time version.
Note Note Available programming environments are filtered to be compatible with the real-time target. If the NXG option is unvailable for your selection, visit ni.com and enter Info Code nxgrtsupport.

After you select your programming environment, select and install the required software packages on the target.


Installing Packages on the Target

Install packages on the target based on the programming environment you selected.

Available packages are filtered to be compatible with your target and the programming environment.

Note Note The software wizard pre-selects recommended packages.

Use the following table to determine how to install packages on the target based on whether the target and/or host PC have internet access.

Scenario Package Installation Instructions
The target has internet access.
  1. Select the packages you want to install on the target and click Review changes.
  2. After you review your selections, click Continue to complete the installation process.
  3. After the software wizard successfully installs the packages, you can close the dialog window.
The target and host PC both have internet access and the offline repository is installed on the host PC.
  1. Follow the prompts to choose between installing the packages from ni.com or retrieving packages from the local repository on the host PC.
  2. Select the packages you want to install on the target and click Review changes.
  3. After you review your selections, click Continue to complete the installation process.
  4. After the software wizard successfully installs the packages, you can close the dialog window.
The host PC has internet access but the target does not. The packages are available on the host.
  1. Follow the prompts to choose between allowing the target to securely access ni.com through the host computer, or retrieving the packages from the local repository on the host PC.
  2. Select the packages you want to install on the target and click Review changes.
  3. After you review your selections, click Continue to complete the installation process.
  4. After the software wizard successfully installs the packages, you can close the dialog window.
The host PC has internet access but the target does not. The required packages are not yet installed on the host.
  1. Follow the prompts to allow the target to securely access ni.com through the host PC.
  2. Select the packages you want to install on the target and click Review changes.
  3. After you review your selections, click Continue to complete the installation process.
  4. After the software wizard successfully installs the packages, you can close the dialog window.
Neither the host nor the target has internet access.
  1. Follow the troubleshooting steps that appear in the software wizard dialog to install the required packages.
  2. Select the packages you want to install on the target and click Review changes.
  3. After you review your selections, click Continue to complete the installation process.
  4. After the software wizard successfully installs the packages, you can close the dialog window.


Configuring Network Settings

Use Network Settings to view and set network settings for your remote target. This tab lists all the wireless and Ethernet devices detected in the system. The first device in the list is the default adapter, but it may not be the primary adapter.

Related Topics

Configuring Multiple EtherCAT Targets
Making Network and Non-Network Connections
Managing Certificates

IP Address Configuration
Assigning an IP Address
Specifying a Static IP Address
Halting the System if TCP/IP Fails
Changing the IP (Offline)
Troubleshooting Inconsistent IP Settings


IP Configuration

Assigning an IP Address

Specifying a Static IP Address

Halting the System if TCP/IP Fails

Changing the IP (Offline)

Configuring Ethernet over USB Devices

Troubleshooting Inconsistent IP Settings


Assigning an IP Address

You can connect to your remote system either by connecting it and your host computer to a local area network or by connecting it directly to your host computer using a CAT-5 crossover cable. Either way, your remote system must have an IP address assigned to it. You can either attempt to obtain an IP address automatically or manually specify one.

Note Note You can use a USB cable to acquire an IP address on supported targets. Refer to Configuring Ethernet over USB devices for more information.

Some targets require that you specify a static IP address, as they do not support automatic IP address assignment. You may also need to specify an IP address if your remote system is not connected to a network and you want to make a direct connection. Refer to Specifying a Static IP Address for help specifying an IP address.

If your remote system is on a network that has a DHCP server, you may be able to automatically obtain an IP address from the DHCP server. A DHCP server allocates an IP address to your target each time the target is started. You do not need to specify other information such as Subnet Mask in this case. If you do not know whether your network has a DHCP server, check with your network administrator for assistance. To automatically obtain an IP address, select DHCP or Link Local, then click Save. You must restart the remote system for any changes to take effect.

Not all DHCP servers are implemented in the same manner. Therefore, some might not be compatible with the LabVIEW Real-Time Module. After you select DHCP or Link Local and restart the RT target, LabVIEW tries to obtain an IP address from the DHCP server. If this operation fails, LabVIEW automatically restarts the RT target and attempts to assign a link-local address (169.254.x.x), if your target supports this feature. Link-local addresses are network addresses intended for use in a local network only. After three failed attempts, LabVIEW returns to the default configuration with IP address 0.0.0.0. In this case, you need to explicitly specify the network parameters.

In addition, when you use a DHCP server, the server allocates an IP address to the remote system each time you boot the target. The new IP address might be different than the address previously assigned. If you use the DHCP server to assign an IP address to your target, NI recommends you connect to the RT target using the hostname instead of the IP address. To connect to the target using the hostname, enter the hostname in the IP Address/DNS Name text box of the General page of the RT Target Properties dialog box.


Specifying a Static IP Address

If you choose to specify an IP address, on the Network Settings tab, set Configure IPv4 Address to Static, fill in the network parameters described below with correct values for your network, then click Save. You must restart the remote system for any changes to take effect.

  • IPv4 Address—The unique address of a device on your network. Each IP address is a set of four one- to three-digit numbers. Each number is in the range from 0 through 255 and is separated by a period. This format is called dotted decimal notation. The IP address 224.102.13.24 is an example of dotted decimal notation.
  • Subnet Mask—A code that helps the network device determine whether another device is on the same network or a different network. 255.255.255.0 is the most common subnet mask.
  • Gateway—The IP address of a device that acts as a gateway server, which is a connection between two networks.
  • DNS Server—The IP address of a network device that stores DNS host names and translates them into IP addresses.

Consult with your network administrator before specifying these parameters. If you do not have a network administrator or you are the network administrator, refer to Configuring Network Settings for more help. Click Revert to revert your changes.


Halting the System if TCP/IP Fails

Use the Halt on IP Failure checkbox to determine how the LabVIEW Real-Time Module and the controller behave when there is a TCP/IP failure while the controller is booting.

If the checkbox is not checked, LabVIEW Real-Time starts and runs start-up applications you created, even if it cannot automatically obtain an IP address, or if TCP/IP fails for any other reasons when you start the system. When the connection becomes available, you must manually restart the controller in order to connect it to the network.

If TCP/IP fails and the checkbox is checked, LabVIEW Real-Time attempts to obtain an automatic IP address using DHCP. If the attempt to obtain an IP address fails, LabVIEW Real-Time attempts to obtain a link-local address (169.254.x.x), if your target supports this feature. If the attempt to obtain a link-local address also fails or is not supported, LabVIEW Real-Time will reboot the target to try again. After three failed attempts, LabVIEW Real-Time resets the controller to IP address 0.0.0.0.

Note DHCP failure is considered a TCP/IP failure.


Change IP (Offline)

Use Change IP (Offline) to change the IP address of your remote system after it obtained an IP address different from its current IP address.

MAX automatically detects an IP address change for targets on the local subnet. If the IP address of a target on a remote subnet changes, you can use this setting to make MAX aware of the change.

To access this setting, expand Remote Systems in the MAX configuration tree. Right-click your system and select Change IP (Offline).


Configuring Multiple EtherCAT Targets

If you have more than one target connected to the same EtherCAT network, you must enable EtherCAT master redundancy on both targets. In the event that the primary EtherCAT master fails, the backup EtherCAT master becomes the primary EtherCAT master. You cannot set Startup Mode to Master Redundancy on more than one network adapter on the same target.

Complete the following steps to enable master redundancy on your EtherCAT ethernet adapter.

  1. Select EtherCAT from the Adapter Mode drop-down list.
  2. Enter a value for EtherCAT Master ID.
  3. Click More Settings.
  4. Select Master Redundancy from the Startup Mode drop-down list. You must select this option for both adapters. The EtherCAT Master ID determines which adapter is the master and which remains in standby mode.
  5. Click Save to apply the changes or Revert to cancel.
  6. Click Yes when prompted to reboot the remote system.


Creating a Wireless Network

You can create wireless networks in MAX using supported devices, such as the myRIO-1900. Complete the following steps to create a wireless access point.

  1. Navigate to the Network Settings tab in MAX.
  2. In the Wireless Adapter wlan0 section, select Create wireless network from the Wireless Mode drop-down list.
  3. Select your location from the Country drop-down list.
  4. Enter the public name for your wireless network in the SSID text box.
  5. Select a channel from the Channel drop-down list. NI recommends selecting a channel with minimal interference from neighboring channels.
  6. Select your security settings from the Security drop-down list.
    • To create a public wireless network to which anyone can join, select Open.
    • To create a private wireless network that requires a password to join, select WPA2 Personal. If you select this option, MAX displays the WPA Passphrase text box for you to create the network password.
  7. Click the Save button in the MAX toolbar to commit your changes.

After you create the network, verify that other clients can connect to the new network.


Configuring Ethernet over USB Devices

You can use a USB cable to connect supported devices to a host computer and acquire an IP address. These devices, such as the myRIO-1900, appear under the Remote Systems section of the configuration tree.

The IP address assigned to the device over USB can only be used by the host computer. If you want to connect to the device from another computer on the subnet, use one of the following options.

  • Connect to a wireless network. You can connect to a wireless network to obtain an IP address that can be used to connect to the device over the network. If you connect to a wireless network, you also can use the host name of the target to connect remotely. Use the Network Settings tab to connect to a wireless network.
  • Connect the device to your host computer using an Ethernet to USB adapter.
  • Bridge the device's network adapter to an adapter with network connectivity. For more information about bridging your network adapter, refer to KnowledgeBase article 6CK9HDGW.

You also can create a wireless network on supported devices.


Making Network and Non-Network Connections

The host computer communicates with the remote system over a standard Ethernet connection. If the host computer is already configured on a network, you must configure your remote system on the same network. If neither machine is connected to a network, you must connect the two machines directly using a CAT-5 crossover cable or hub. You can use the direct connection to configure the remote system from the host computer system.

For targets that do not automatically acquire their IP addresses from DHCP, both the host computer and the remote system must reside on the same subnet in order for you to configure the remote system with MAX.

You can develop and run LabVIEW Real-Time Module applications when the remote system is on a different subnet than that of the host computer. To run LabVIEW Real-Time applications on a remote system that resides on a different subnet, assign a static IP address to the controller that corresponds to the subnet where the remote system is located. Refer to Assigning an IP Address for more information about IP addresses.


Managing Certificates

Use Certificate Management to view, manage, and upload client and trusted root certificates to your wireless network device.

Complete the following steps to upload a certificate to the target.

  1. From MAX, expand Devices and Interfaces in the configuration tree.
  2. Expand Network Devices and select your wireless network device.
  3. Select the Network Settings tab.
  4. Log in to the target and ensure you have permission to edit network settings.
  5. Click the Certificate Management button to display certificate management. MAX displays the certificates currently available on the target.
  6. Click Upload a new certificate.
  7. Certificate File—Browse to the location of the certificate file.
  8. (Optional) If the client certificate you upload also requires a corresponding private key, place a checkmark in the Upload the private key for this certificate. A private key is required if this is a client certificate for TLS. checkbox.
  9. (Optional) Private Key File—Enter or browse to the location of the private key file that corresponds to the client certificate.
    Note Note Some private key files require a password to grant read access. You might be required to enter a password in the Key Password (Optional) text box.
  10. Click Upload.

You can remove a certificate from the device by clicking the Remove link displayed to the right of the target name.


Configuring System Settings

Use System Settings to view and set system settings, such as a host name and comments, on your LabVIEW Real-Time target.

Note Targets with the web configuration installed use a user name/password method for protecting system configuration. By default, each remote device includes a single user with the following name and password:

User name—admin
Password—<blank>

Related Topics

Device Calibration
Monitoring System Resources
Updating Safe Mode on the Target
Setting Remote Access for the Target


Monitoring System Resources

You can view, but not change, the following system-level items in the System Resources section on the System Settings tab:

  • Total Physical Memory displays the total amount of physical memory on this target.
  • Free Physical Memory displays the amount of free physical memory on this target.
  • Total Virtual Memory displays the total amount of virtual memory on the system.
  • Free Virtual Memory displays the amount of free virtual memory on the system.
  • Largest Available Memory Block displays the size of the largest block of available memory on the system.
  • Primary Disk Capacity displays the total amount of disk space on the primary drive, for example C:, on this target.
  • Primary Disk Free Space displays the amount of free disk space on the primary drive, for example C:, on this target.
  • CPU Total Load displays the total load for each logical processor on the system. This is reported as a number from 0-100.
  • CPU Interrupt Load displays the percentage of time each logical processor in the system spent in kernel tasks such as handling interrupts. This is reported as a number from 0-100.


Updating the Safe Mode on the Target

You can update the safe mode version on your target by updating the firmware. Complete the following steps to update the firmware.

Note Note Not all devices support firmware updates.
  1. Open the System Settings tab for your target.
  2. Click the Update Firmware button.
  3. Select the firmware image to which you want to upgrade from the drop-down list. You also can click the Browse button to select a firmware file from the host.
    Note Note If there are no firmware images available on your device, the Update Firmware button launches a dialog box for you to select a firmware image from the local host.
  4. Click the Begin Update button.


Setting Remote Access for the Target

Use System Configuration Web Access to specify from where the system configuration settings can be accessed for the target.

  • Local Only—Allows configuration only from the target.
  • Local and Remote—Allows both local and remote configuration.
  • (Windows Embedded Standard 7) Local and Remote— Enables remote Web Service deployment from a LabVIEW project.


Configuring Time Settings

Use the Time Settings tab to view and set time settings such as the date, current time, time zone, and daylight savings time on your LabVIEW Real-Time target. You can also use this panel to set time synchronization sources for your system.

Note
  • Not all LabVIEW Real-Time targets support all time settings.

Related Topics

Setting Date and Time


Setting Date and Time

Use the Date and Time to set the date and time for your LabVIEW Real-Time target.

  • Date—Use the date-picker to set the date on your target.
  • Current time—Use the up/down arrows to set the time on your target.
  • Time Zone—Use the Time zone setting to configure the time zone in which the target resides. You can use this setting with LabVIEW time and date VIs to provide accurate time information, relative to the time zone setting.
  • Automatically adjust clock for Daylight Saving time—Check this box to automatically adjust the target's clock for daylight saving time changes, if the target supports this feature.
    Note Note If your target does not support automatic daylight saving time adjustment, select the GMT time equivalent for your location in Time Zone instead of the actual time zone. Otherwise, data timestamps may be inaccurate.


Device Configuration

You must configure any NI Real-Time-compatible device before you can access it from a LabVIEW Real-Time Module application. If a device in a Real-Time system does not appear in MAX, make sure you have the proper driver software installed to the Real-Time system.

For more information about using your NI products in MAX, refer to your product-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>. For additional information, refer to the documentation you received with your device.


Security

A host computer on the network cannot target the LabVIEW Real-Time Module to the remote system without a password unless the host is in the RT Target: Access list in LabVIEW. To access this list from within LabVIEW, right-click a project window and select Properties.

Use the following topics to configure security settings for your remote device.

  • Creating a New User Account
  • Protecting System Configuration on the Target
  • Securing a Remote Device


Creating a New User Account

Complete the following steps to create a new user account.

  1. In MAX, click the Set Permissions toolbar button to launch the Security Configuration page in a browser window.
  2. Click the Login button and enter admin in the User name field.
  3. Leave the Password field blank if you have not changed the default password, or enter the current password.
  4. Click the New User button to create a new user account.
  5. Replace the default user name with your own user name in the Username field.
  6. Enter a secure password in the New Password field.
  7. Re-enter your password in the Re-type New Password field.
  8. (Optional) Enter a description of the new user account in the Comments field.
  9. Place checkmarks in the checkboxes corresponding to each group you want the new user account to belong to in the Group(s) field.
  10. Place checkmarks in the checkboxes corresponding to each permission you want the new user account to have in the Permission(s) field.
  11. Click the Save button.
  12. Click the Upload Changes button to save the changes to the system.
  13. Return to MAX and login using the new username and password.
Tip Tip To create a safe account for a non-administrator user, enable only the minimum set of permissions required to perform that user's tasks. For a description of each permission, click the Help button at the top-right corner of the Security Configuration page.

For more information about setting permissions, click Help on the Security Configuration page.


Protecting System Configuration on the Target

Targets have web configuration installed use a user name/password method of protecting system configuration. By default, each remote device includes a single user with the following name and password:

  • User name—admin
  • Password—<blank>

Complete the following steps to login to the target to make changes from MAX.

  1. In MAX, click the Login button on the toolbar.
  2. Enter admin in the User name field.
  3. Leave the Password field blank.
  4. Click the OK button.


Securing a Remote Device

Complete the following steps to secure a remote device.

  1. In MAX, click the Set Permissions toolbar button to launch the Security Configuration page in a browser window.
  2. Click the Login button and enter admin in the User name field.
  3. Leave the Password field blank if you have not changed the default password, or enter the current password.
  4. Double-click admin in the list of users under the Users tab.
  5. Enter a secure password in the New Password field.
  6. Re-enter your password in the Re-type New Password field.
  7. Click the Save button.
  8. Click the Upload Changes button to save the changes to the system.
  9. Return to MAX and login using the new password.
Caution To secure your remote device, you must change the default administrator password. You also must remove all permissions from the everyone group.

Removing Permissions from the Everyone Group

Complete the following steps to remove all permissions from the everyone group.

  1. Click the Groups tab.
  2. Double-click the everyone group.
  3. Remove the checks from all the checkboxes in the Has Permission? column.
  4. Click the Save button.
  5. Click the Upload Changes button to save the changes on the system.


Related Documentation

Most NI manuals also are available as PDFs. You must have Adobe Acrobat Reader with Search and Accessibility 5.0.5 or later installed to view the PDFs. Refer to the Adobe Systems Incorporated website to download Adobe Reader. Refer to the NI Product Manuals Library for updated documentation resources.

The following documents contain information that you might find helpful as you use this file:

  • Getting Started with the LabVIEW Real-Time Module (Start»All Programs»National Instruments»LabVIEW»manuals»RT_Getting_Started.pdf)
  • LabVIEW Real-Time Module Release and Upgrade Notes (Start»All Programs»National Instruments»LabVIEW»manuals»RT_Release_Upgrade_Notes.pdf)
  • Using Desktop PCs as RT Targets with the LabVIEW Real-Time Module (Start»All Programs»National Instruments»LabVIEW»manuals»RT_Using_PC_as_RT_Target.pdf)
  • LabVIEW Real-Time Module documentation, tutorials, examples, and discussion forums are available at ni.com/support/labview/real-time.
  • LabVIEW Help (In LabVIEW, select Help»LabVIEW Help to display the LabVIEW Help. On the Contents tab, navigate to the Real-Time Module book.)
  • NI-CAN User Manual

Common Error Codes

You can find the most current information on an error code at ni.com by entering a search for the error code.


.topic 0x9f5b1f6e
Enter a password to lock remote system access.
.topic 0x9f5b1f6f
Reenter the new password for your remote system.
.topic 0x9f5b234c
Enter a new password to lock the remote system.
.topic 0x9f5b234d
Reenter the new password for your remote system.
.topic 0x9f53235d
Edit the IP address of your remote system.
.topic 0x9f591f4f
Enter a password to unlock remote system access.
.topic 0x9f53235c
Enter a hostname for your remote system.
.topic 0x9f532347
Select this option if you want to detect a remote system on the network using the system's DNS-qualified hostname.
.topic 0x9f531f64
Edit the hostname for your remote system.
.topic 0x9f53234a
Enter an IP address for your remote system. Each IP address is composed of four sets of numbers in the range from 0 through 255. For more information on IP addresses, refer to IP Settings Information in the Remote Systems help file (Help>>Help Topics>>Remote Systems).
.topic 0x9f651f7b
Choose the IP address of the network card that will communicate with the remote device. You can find the IP assignments of your network cards in Windows Network and Dial-up Connections accessible through the Windows Control Panel.
.topic 0x9f651f83
Displays the first octet (8-bit segment) of the IP address. The first octet identifies the IP address class. For more information, refer to the Remote Systems help file (Help>>Help Topics>>Remote Systems).
.topic 0x9f651f85
Displays the second octet (8-bit segment) of the IP address. For more information, refer to the Remote Systems help file (Help>>Help Topics>>Remote Systems).
.topic 0x9f651f84
Displays the third octet (8-bit segment) of the IP address. For more information, refer to the Remote Systems help file (Help>>Help Topics>>Remote Systems).
.topic 0x9f651f86
Displays the fourth and last octet (8-bit segment) of the IP address. For more information, refer to the Remote Systems help file (Help>>Help Topics>>Remote Systems).
.topic 0x9f532348
Select this option if you want to detect a remote system on the network using the system's IP address. Enter the IP address of the remote system that you want to locate. If the system is found, it will appear in the Remote Systems category of the configuration tree. The IP address of your newly detected remote system will serve as the system's default name.


Remote Systems

With Remote Systems, you can view and configure devices and systems connected over Ethernet. Your remote systems appear in the configuration tree when you expand Remote Systems by clicking the plus sign [image].

What do you want to do?

Set up my system for the first time

Read the LabVIEW Real-Time Target Configuration Tutorial. For non-RT targets, refer to your device or system documentation.

View my remote systems and devices

When you launch MAX and expand Remote Systems for the first time, all connected systems and devices on the local subnet appear beneath Remote Systems in the configuration tree after a short delay. If you want MAX to search for remote systems and devices without relaunching MAX, select View»Refresh (F5) from the MAX menu bar.

What should I do if I still can't see my remote system in the tree?

If your remote system does not automatically appear when you use the preceding methods, verify that your system is on the local subnet and is properly connected.

If your system is not on your local subnet, right-click Remote Systems and select Create New. Complete the wizard to add your system.

For more information about placing your system on a local subnet, refer to the Remote Systems help. For more information about installing your remote system, refer to the hardware documentation for your system.

View and configure the system settings of remote systems

From Remote Systems, you can view and configure system settings for remote systems. Select the system or device and click the System Settings tab. You can change the system's host name and add any comments about the system. You can also view network settings and information such as memory and disk space.

Configure the network settings of remote systems

From Remote Systems, you can assign IP addresses and configure other network settings for remote systems. Select the system or device and click the Network Settings tab. You can then automatically obtain or manually assign an IP address.

Install software onto a remote system

Expand the system or device under Remote Systems, select Software, and click the Add/Remove Software icon on the toolbar to bring up the LabVIEW Real-Time Software Wizard.

What is a remote system?

A remote system denotes a real-time target that can be managed or configured over the network while a network device does not run a real-time operating system. Remote systems are not the same as network devices. A network device is any device that is accessible over an Ethernet or wireless connection. Such devices may be accessible by multiple computers and do not run a real-time operating system.

For more information about using your NI products in MAX, refer to your NI product help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Data Neighborhood

Data Neighborhood provides access to descriptively named shortcuts to configured physical channels in your remote system. These shortcuts can include NI-DAQmx virtual channels and tasks.

What do you want to do?

Create a new shortcut

To create a new shortcut, right-click Data Neighborhood and select Create New. The options that appear depend on which NI products you have installed.

Test or remove a shortcut

Typically, you can right-click these shortcuts to perform your configured tasks, depending on the NI product you have installed.

View or change properties

Typically, you can right-click these shortcuts in the configuration tree and select Properties or adjust the properties in the item view, depending on your installed software.

For more information about using Data Neighborhood with your NI product, refer to your product-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Devices and Interfaces

Devices and Interfaces lists installed and detected NI devices attached to a LabVIEW Real-Time target.

If you do not see your devices...

You have not refreshed the configuration tree

Press <F5> or select View»Refresh.

MAX may not be able to connect to your device

Check that your network is properly configured and that your device is online.

Your device may not be configurable with MAX

Some devices do not support remote configuration with MAX. Refer to your product-specific documentation to see if you should be able to configure your device with MAX.

What do you want to do?

Configure an existing device

To configure an existing NI device, right-click the channel name in the configuration tree and select Properties or adjust the properties in the item view, depending on your software. If you are using Traditional NI-DAQ (Legacy), select the Tools»Traditional NI-DAQ (Legacy) Configuration»Remote DAQ Configuration menu item.

If you still do not see your installed device, refer to the getting started information included with your hardware and to the MAX product-specific help (Help»Help Topics) to verify that your device is properly installed and to obtain configuration information. If you are certain that your device is correctly installed, visit the NI support website at ni.com/support.

For more information about using your NI product in MAX, refer to your product-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Scales

Scales provides access to all mathematical operations configured to be performed on acquired data on a remote system.

What do you want to do?

Create a new custom scale

To create a new custom scale, right-click Scales in the configuration tree and select Create New.

Remove a scale

To remove a scale from your configuration, right-click the scale name in the configuration tree and select Delete.

View or change scale properties

To view or change scale properties, right-click the scale name in the configuration tree and select Properties or adjust the properties in the item view, depending on your software.

For more information about using Scales with your NI product, refer to your product-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Software

Software displays the NI software components installed on a LabVIEW Real-Time target.

What do you want to do?

View my software information

To expand Software in the configuration tree, click the plus sign [image].

Install software

To install software to your remote target, click the Add/Remove Software icon in the toolbar.

For more information about using your NI products, refer to your product-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Adapter Mode

If the selected device is the primary network device, Adapter Mode is TCP/IP Network. The primary device can only be used for TCP/IP (DHCP or Static). For devices other than the primary device or the default device, Adapter Mode specifies how the device is used. For more information, refer to Configuring Network Settings.


Enable Background Scan

Enables background scanning for the selected wireless network. Enable background scanning if you want the adapter to automatically check for and connect to wireless networks with better link quality.


Serial number

Displays the unique serial number of the certificate.


Signature algorithm

Displays the algorithm used to encrypt the certificate.


Version

Displays the version of the public key infrastructure used to sign the certificate.


Channel

Displays a list of channels you can select for the wireless network you create. This list may vary depending on the selection in the Country drop-down list. You may want to select a channel with minimal interference from neighboring wireless networks.


Client Certificate

Specifies the certificate the client uses to log in to the network. Refer to Managing Certificates for information on how to upload a certificate to the target.


Comments

Enter an optional comment that helps you identify your remote system and its purpose. This field is limited to 64 characters.


Status

Displays the connection status for the network you select in the Wireless Network drop-down list. Status displays the following information about your connection to the network.

  • Connected—The adapter is connected to the wireless network.
  • Not connected—The adapter is not connected to the wireless network.
  • Invalid security settings—The adapter could not connect to the wireless network due to invalid security settings.
  • Invalid IP settings—The adapter is connected to the wireless network, but cannot acquire an IP address.


Country

Sets the location of the wireless adapter. You must specify a country to connect to or create a wireless network.

Note Note If this device was purchased in the United States, MAX automatically selects and locks this option.


Current Link Speed

Displays the current link speed of the wireless adaptor.


Context Help

This window displays context-sensitive help. Move the cursor over a control or indicator for more information about it.


Obtain IP address from DHCP server

DHCP or Link Local

Choose this option if you want to automatically obtain the IP address of your remote system. If your target supports this feature, DHCP is the default setting and the target will fall back on a link-local address (169.254.x.x) if DHCP fails. Link-local addresses are network addresses intended for use in a local network only.


Free Disk Space

The amount of free disk space on the primary drive, for example C:, on this target.


Total Disk Space

The total amount of disk space on the primary drive, for example C:, on this target.


DNS Server

If you selected to automatically obtain the IP settings of your remote system, this item displays the detected DNS server. If you selected to manually enter TCP/IP Network parameters for your remote system, enter the DNS server address here. For more information, refer to Configuring Network Settings.


Daylight Saving Time

Automatically adjusts the target's clock for daylight saving time changes, if supported by the target.

Note Note If your target does not support automatic daylight saving time adjustment, select the GMT time equivalent for your location in Timezone instead of the actual time zone. Otherwise, data timestamps may be inaccurate.


EAP Type

Specifies the protocol the authentication server uses to verify the username and password you use to connect to the network. Select from the following protocols:

  • EAP-TLS
  • EAP-TTLS
  • EAP-FAST
  • LEAP
  • PEAP


EtherCAT Master ID

A 0-255 value to identify the EtherCAT masters in your Real-Time system. For EtherCAT masters on a same Real-Time target, the MasterID assignment must be unique.


Expires on

Displays the date after which this certificate is no longer valid.


Gateway

If you selected to automatically obtain the IP settings of your remote system, this box displays the detected Gateway server. If you chose to manually enter TCP/IP Network parameters for your remote system, enter the Gateway server address here. For more information, refer to Configuring Network Settings.


Halt on IP failure

Enable this checkbox to stop the LabVIEW Real-Time Module if the network connection fails to acquire a dynamic address when you boot the remote system. If you disable the Halt on IP failure checkbox, LabVIEW Real-Time starts and runs startup applications you created, even if a dynamic address is not acquired when you boot the system.

NI recommends that you disable this option and set Configure IPv4 Address to DHCP or Link Local on the Network Settings tab.

Note If you do not want your application to run without a valid DHCP-assigned address on a network, select DHCP Only on the Network Settings tab and enable Halt on IP failure.


Name

Enter a name for the remote system. This field is limited to 31 characters and can contain only alphanumeric characters and hyphens. The name cannot start or end with a hyphen. If you do not enter a name, the remote system is identified in the configuration tree by its IP address.


IPv4 Address

If you selected to automatically obtain the IP settings of your remote system, this item displays the assigned IP address. If you selected to manually enter an IP address for your remote system, enter the address here. For more information about IP addresses, refer to IP Configuration.


Additional Configuration

Contains device-specific configuration information. For more information, refer to your device-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Issued by

Displays the issuer of the certificate.


Issuer Information

Displays the issuer of the certificate. Issuer Information includes the following information about the issuer of the certificate:

  • Common Name
  • Location
  • State
  • Country
  • Organization
  • Organization Unit


Locale

Specifies the character set to use when returning strings from the remote target, if supported by the installed software.


MAC Address

Displays the main Media Access Control (MAC) address for your remote system. This address is also used for identification purposes in MAX. If your target has more than one network adapter, the MAC Address may differ from the MAC address of the primary network adapter. MAC ensures that no two devices attempt to transmit data at the same time.


Make Primary

Makes the selected Ethernet adapter the primary adapter.

Note Note The first network adapter in the list cannot be enabled if it is not the primary adapter. Making an adapter primary causes the original primary adapter to be disabled.


Free Physical Memory

The amount of free physical memory on this target.


Largest Available Memory Block

The size of the largest block of available memory on the system.


Total Physical Memory

The total amount of physical memory on this target.


Total Virtual Memory

The total amount of virtual memory on the system.


Model

Displays the model type of your remote system.


Module Information

Displays the slot number, model, and serial number for the modules of the device.


Network Type

Select the network type for the wireless network to which you connect or create. You can select Ad Hoc or Access Point from the Network Type drop-down list.


Not Valid After

Displays the date after which this certificate is no longer valid.


Not Valid Before

Displays the date this certificate was issued.


Password

Enter the password required by the WPA/WPA2 Enterprise secured network you selected in the Wireless Network drop-down list.


Protect Restarts

Enable this checkbox if you want to require users to enter a user name and password before restarting the remote system.


QoS Priority

Sets the priority for the data transferred over the wireless network adapter when the wireless device is sharing the channel with one or more devices. The default is Normal.

NI recommends setting QoS Priority to Normal if you are connecting to an existing wireless network. Setting QoS Priority to Critical might affect the performance of other devices on your wireless network. If your wireless access point supports 802.11e QoS, configuring the device setting to higher priorities grants your device more bandwidth on the wireless network.

If your wireless access point does not support 802.11e QoS, NI recommends setting QoS Priority to Disabled.

Note Note Ad Hoc networks do not support wireless QoS.
MAX Option | QoS | 802.11e Standard
Disabled | Disabled | -
Normal | Enabled | Best Effort
High | Enabled | Video
Critical | Enabled | Voice


Security

Displays the security settings for the selected network. When you select Connect to other network from the Wireless Network drop-down list or Create Wireless Network from the Wireless Mode drop-down list, Security displays the following options you use to specify security settings.

  • Open
  • WPA Personal
  • WPA2 Personal
  • WPA Enterprise
  • WPA2 Enterprise
  • WEP


Serial Number

Displays the serial number of your remote system to provide a reference to the physical remote system.


SSID

If you select Connect to other network from the Wireless Network drop-down list, SSID specifies the public name of the wireless network to which you want to connect.

If you select Create Wireless Network from the Wireless Mode drop-down list, SSID sets the public name for the wireless network.


Startup Mode

Specifies whether you want to enable master redundancy or remain in normal mode at startup. If you have more than one target connected to the same EtherCAT network, you must enable EtherCAT master redundancy on both targets. In the event that the primary EtherCAT master fails, the backup EtherCAT master becomes the primary EtherCAT master. You cannot set Startup Mode to Master Redundancy on more than one network adapter on the same target.


System State

Displays the current status of your remote system. For more information, refer to System States.


Subject Information

Displays the content of the certificate. Subject Information includes the following information:

  • Common Name
  • Location
  • State
  • Country
  • Organization
  • Organization Unit


Subnet Mask

If you selected to automatically obtain the IP settings of your remote system, this box displays the detected subnet mask. If you selected to manually enter TCP/IP Network parameters for your remote system, enter the subnet mask here. For more information, refer to the Remote Systems help file (Help»Help Topics»Remote Systems).


System Configuration Access

Specifies from where the system configuration settings for the target can be accessed. Local Only allows configuration only from the target. Local and Remote allows both local and remote configuration.


Current Date

Select the current date in the calendar control to set the date on your target.


Current Time

Updates every second. Click the Time Up/Down control to stop the time. Click away from the control to resume the clock.


IP Address

A read-only field that displays the current IP address. Set the target's IP address on the Network Settings tab.


System User Data

Contains device-specific configuration information. For more information, refer to your device-specific help, located on the Help»Help Topics menu item. You can also access NI product help from within MAX help, which you can launch from the Help menu or by pressing <F1>.


Current Link Speed

A read-only field that displays the current link speed. To set the preferred link speed, refer to Configuring Network Settings.


Packet Detection

Sets packet detection for your target. Options are Line Interrupt, Message Signaled Interrupt, and Polling.

Line Interrupt | This method of data signaling uses out-of-band interrupt line assertions to signal data readiness on an Ethernet connection. This is the standard method of detecting data readiness on Ethernet devices.
Message Signaled Interrupts | On supported devices, message signaled interrupts (MSIs) can be used as an in-band signaling method for detecting data readiness on an Ethernet connection. This method can be more efficient for the operating system than out-of-band signaling because it reduces the resources required to process Ethernet data.
Polling | The operating system of the Real-Time target periodically checks for the arrival of new data through the Ethernet connection. You must set the polling interval if you select Polling.


DNS Name

A read-only field that displays the actual fully qualified DNS name (FQDN) for the target.


Configure IPv4 Address

Select how the target will acquire an IP address. Depending on your target and the installed software, the available options are DHCP or Link Local, DHCP Only, Link Local Only, and Static.

DHCP or Link Local | Specifies to automatically obtain the IP address of your remote system using DHCP. If DHCP fails, the target negotiates a link-local address that is only intended for use on the local network.
DHCP Only | Specifies to automatically obtain the IP address using DHCP. Targets connected to the host using a USB device are automatically set to use this option.
Link Local Only | Specifies to automatically negotiate a link-local address that is only intended for use on the local network.
Static | Allows you to manually enter an IP address in IPv4 Address.


Auto-MDIX

Determines whether to support auto-crossover. Auto-MDIX (automatic medium-dependent interface crossover) automatically detects the cable connection type (straight-through or crossover) and configures the connection appropriately, removing the need for crossover cables.


MTU

Set the maximum transmission unit (MTU). The MTU is the maximum size of a TCP/IP packet. Increasing the MTU can help improve performance over Gigabit Ethernet connections because it enables the transmission of larger packets.


Polling Interval

For devices that are set to use polling for packet detection, specifies how often the driver should check for new packets. Permissible values range from 1 to 10000 ms. The field is disabled if the device is not set to use polling for packet detection.

Note Note Depending on your network, setting the polling interval to a value greater than 1000 ms may cause undesired behavior.


Preferred Link Speed

Sets the preferred link speed. Options include the following:

  • Autonegotiate
  • 10Mbps/Half Duplex
  • 10Mbps/Full Duplex
  • 100Mbps/Half Duplex
  • 100Mbps/Full Duplex
  • Gigabit/Half Duplex
  • Gigabit/Full Duplex
For more information, refer to Configuring Network Settings.


Request Previous IP

Check this box to request the previous IP address from the DNS server.


Time Zone

Specifies the time zone of the remote target. This value is used to return the correct system time.

Note Note If your target does not support automatic daylight saving time adjustment, select the GMT time equivalent for your location in Time Zone instead of the actual time zone. Otherwise, data timestamps may be inaccurate.


User Name

Enter the user name required by the WPA/WPA2 Enterprise secured network you selected in the Wireless Network drop-down list.


WEP Security Key

If you select Connect to wireless network from the Wireless Mode drop-down list or Other network from the Wireless Network drop-down list, WEP Security Key is the required password for the WEP secured network to which you want to connect.

If you select Create wireless network from the Wireless Mode drop-down list, WEP Security Key sets the required security key for the WEP secured network you create.


Wireless Mode

Wireless Mode is Connect to wireless network when connecting to an established wireless network. Select Create wireless network to create an Ad Hoc network on the selected adapter. For more information, refer to Configuring Network Settings.


Wireless Network

Displays a list of all available wireless networks for the selected device. You also can select Other network to manually connect to a wireless network that is not displayed in the drop-down list.


WPA Passphrase

If you select Connect to wireless network from the Wireless Mode drop-down list or Other network from the Wireless Network drop-down list, WPA Passphrase is the required password for the WPA secured network to which you want to connect.

If you select Create wireless network from the Wireless Mode drop-down list, WPA Passphrase sets the required password for the WPA secured network you create.


Cancel

Click this button to exit the dialog without saving changes.


OK

Click this button to save changes and exit the dialog box.


Logging into your System

You can prevent unauthorized users from changing system configuration by setting an administrator password and permissions. Not all devices support the login feature.

Note Only Network Settings, System Settings, Time Settings, the LabVIEW Real-Time Software Wizard, and some VISA/PXI settings are protected with the Login setting.

Protecting System Configuration on Targets Running LabVIEW Real-Time 2010 or Later

Targets running LabVIEW Real-Time 2010 or later use a user name/password method of protecting system configuration. By default, each remote device includes a single user with the following name and password:

  • User name—admin
  • Password—<blank>

Complete the following steps to login to the target to make changes from MAX.

  1. In MAX, click the Login button on the toolbar.
  2. Enter admin in the User name field.
  3. Leave the Password field blank.
  4. Click the OK button.

Securing a Remote Device

Complete the following steps to secure a remote device.

  1. In MAX, click the Set Permissions toolbar button to launch the Security Configuration page in a browser window.
  2. Click the Login button and enter admin in the User name field.
  3. Leave the Password field blank if you have not changed the default password, or enter the current password.
  4. Double-click admin in the list of users under the Users tab.
  5. Enter a secure password in the New Password field.
  6. Re-enter your password in the Re-type New Password field.
  7. Click the Save button.
  8. Click the Upload Changes button to save the changes to the system.
  9. Return to MAX and login using the new password.
Caution To secure your remote device, you must change the default administrator password. You also must remove all permissions from the everyone group.

Removing Permissions from the Everyone Group

Complete the following steps to remove all permissions from the everyone group.

  1. Click the Groups tab.
  2. Double-click the everyone group.
  3. Remove the checks from all the checkboxes in the Has Permission? column.
  4. Click the Save button.
  5. Click the Upload Changes button to save the changes on the system.

Creating a New User Account

Complete the following steps to create a new user account.

  1. In MAX, click the Set Permissions toolbar button to launch the Security Configuration page in a browser window.
  2. Click the Login button and enter admin in the User name field.
  3. Leave the Password field blank if you have not changed the default password, or enter the current password.
  4. Click the New User button to create a new user account.
  5. Replace the default user name with your own user name in the Username field.
  6. Enter a secure password in the New Password field.
  7. Re-enter your password in the Re-type New Password field.
  8. (Optional) Enter a description of the new user account in the Comments field.
  9. Place checkmarks in the checkboxes corresponding to each group you want the new user account to belong to in the Group(s) field.
  10. Place checkmarks in the checkboxes corresponding to each permission you want the new user account to have in the Permission(s) field.
  11. Click the Save button.
  12. Click the Upload Changes button to save the changes to the system.
  13. Return to MAX and login using the new username and password.
Tip Tip To create a safe account for a non-administrator user, enable only the minimum set of permissions required to perform that user's tasks. For a description of each permission, click the Help button at the top-right corner of the Security Configuration page.

For more information about setting permissions, click Help on the Security Configuration page.

Protecting System Configuration on Targets Running LabVIEW Real-Time 2009 or Earlier

Targets running LabVIEW Real-Time 2009 or earlier use the Lock feature to enable protection. Complete the following steps to lock the system configuration:

  1. Select your remote system in the configuration tree and click Set Permissions in the toolbar.
  2. In the dialog box that appears, enter and confirm an administrator password.
  3. Click OK to lock the system configuration.
  4. Click Log Out when you are done making changes.
  5. Click Log In and enter the administrator password to make more changes to the target.

Unlocking System Configuration

Complete the following instructions to unlock the system configuration:

  1. Click Set Permissions and enter the correct administrator password, if prompted.
  2. Select Unlock from the dialog that appears.
  3. Click OK.

Changing the Administrator Password

Complete the following instructions to change the administrator password:

  1. Click Set Permissions and enter the correct administrator password, if prompted.
  2. Select Change Password from the dialog that appears.
  3. Enter and confirm the new administrator password.
  4. Click OK.
Tip Tip Check Password-protect Resets if you want to require users to enter a user name and password before restarting the remote system.

Targeting Password-Protected RT Systems from LabVIEW

A host computer on the network cannot target the LabVIEW Real-Time Module to the remote system without a password unless the host is in the RT Target: Access list in LabVIEW. To access this list from within LabVIEW, right-click a project window and select Properties.


Using the LabVIEW Real-Time Software Wizard

Complete the following steps to download software using the LabVIEW Real-Time Software Wizard:

  1. If you have not already launched the LabVIEW Real-Time Software Wizard, complete the following directions to do so:
    1. Expand Remote Systems in the configuration tree and then expand your RT target.
    2. Select Software. Click the Add/Remove Software icon on the toolbar to launch the LabVIEW Real-Time Software Wizard. If your target does not have a Software category, then it does not support the LabVIEW Real-Time software.
    Note Note You may be prompted to enter the RT system's administrator name and password, if a login password has been set. For more information, refer to Logging into your System.
  2. Determine what you want to do. If your RT target uses recommended software sets, refer to Installing Recommended Software Sets. If your RT target uses a custom software selection, refer to Installing a Custom Software Selection.


LabVIEW Real-Time Target Configuration Tutorial

Complete the following steps to configure your remote system for use with the LabVIEW Real-Time Module.

  1. Boot target into LabVIEW Real-Time
    Before you begin configuration, make sure your remote system is booted into LabVIEW Real-Time. If your RT target came with only LabVIEW Real-Time preinstalled on its hard drive, the system is already set up to boot into LabVIEW Real-Time. If your system does not have a floppy drive, it may have DIP switches or BIOS settings for booting into LabVIEW Real-Time. For more information, refer to Booting Into the LabVIEW Real-Time Module.

    You can permanently format the hard drive and configure it to boot directly into RT using the Desktop PC Utility USB Drive.
  2. Configure Network Settings
    Verify that your RT target is detected by expanding the Remote Systems tree (click the plus sign [+] beside Remote Systems). Your device may show up as 0.0.0.0 if you have not previously configured it with an IP address. If your device is not listed, refresh the list by pressing <F5>. Devices that have not been configured with an IP address must be on the same local subnet as the host in order to configure the IP address. If your device is already configured with an IP address but is not on the local subnet, add it to Remote Systems by right-clicking Remote Systems and selecting Create New. Complete the wizard to add your system.

    Note Make sure that any network firewalls have been disabled. Even if exceptions have been set to allow communication, some firewalls continue to block IP addresses of 0.0.0.0 as long as they are enabled.

    If your network uses DHCP, set Configure IPv4 Address to DHCP or Link Local. Not all DHCP servers are implemented in the same manner. Therefore, some might not be compatible with the LabVIEW Real-Time Module. After you select DHCP or Link Local and restart the controller, LabVIEW Real-Time tries to obtain an IP address from the DHCP server. If this operation fails, LabVIEW Real-Time restarts the controller. If your target supports automatic IP assignment, it will attempt to obtain a link-local address (169.254.x.x) and use it to boot up the rest of the system. After three failed attempts, LabVIEW Real-Time returns to the default configuration with IP address 0.0.0.0. You must then explicitly specify the network parameters.

    If you need to specify an IP address manually, select Static and enter an IP address. If a Gateway and DNS are not available on the network, set these to the default value of 0.0.0.0.

    For more information on network configuration, refer to Configuring Network Settings.

  3. Install Software
    You can install the LabVIEW Real-Time Module or other driver software on the remote target after you have assigned it an IP address.

    If your RT target has LabVIEW Real-Time preinstalled, you may still need to download additional driver software or update existing driver software.

    Complete the following steps to download software using the LabVIEW Real-Time Software Wizard:
    1. Expand Remote Systems in the configuration tree and then expand your RT target.
    2. Select Software. Click the Add/Remove Software icon on the toolbar to launch the LabVIEW Real-Time Software Wizard. If your target does not have a Software category, then it does not support LabVIEW Real-Time software. Determine what you want to do. If your target uses recommended software sets, refer to Installing Recommended Software Sets. If your target uses a custom software selection, refer to Installing a Custom Software Selection.
      Note If a driver is installed on the host PC but is not displayed in the LabVIEW Real-Time Software Wizard, the Real-Time component of that driver may not be installed. This issue commonly occurs when drivers were installed prior to installing the LabVIEW Real-Time module. To resolve this issue, right-click on the My System»Software configuration tree item in MAX and select Change/Remove Software to modify the driver installation to add the LabVIEW Real-Time components.
    3. Configure System Settings
      You can configure several system-level settings for your LabVIEW Real-Time target—name, locale, Halt on IP Failure. You can also add comments.

      You can enter a more descriptive name for the remote system as well as any comments you would like to include to describe the system and its components. When you are finished, click the Save button at the top of the screen to save your changes.

      Use the locale setting to change the locale of strings returned from the remote target. This setting is not supported by all software and is disabled if not supported by any software on your target.

      For more information on configuring these settings, refer to Configuring System Settings.
    4. Configure Time Settings
      Use the Time Settings tab to configure time zone and daylight saving settings for the location in which the target resides. You can use this setting in conjunction with LabVIEW time and date VIs to provide accurate time information, relative to the time zone setting.

      If your target is running LabVIEW 2010 or later, you can set the date and time, as well as synchronization settings, if your target supports these features.

      For more information on configuring time settings, refer to Configuring Time Settings.
    5. Configure I/O
      You must configure any NI I/O devices before you can target them from a LabVIEW Real-Time application. For information on how to correctly configure I/O devices, refer to Device Configuration or the documentation for that hardware.

When you complete these steps, your remote system is ready to be targeted from the LabVIEW Real-Time module.